# Python Rest Client Schema Registry

Python Rest Client to interact against [schema-registry](https://docs.confluent.io/current/schema-registry/index.html) confluent server to manage [Avro Schemas](https://docs.oracle.com/database/nosql-12.1.3.1/GettingStartedGuide/avroschemas.html) resources.

## Requirements

python 3.6+, avro-python3, fastavro, requests

## Installation

```
pip install python-schema-registry-client
```

### [Client API](../blob/master/docs/client.md)

### [Message Serializer](../blob/master/docs/serializer.md)

### [Schema Registry Server Description](../blob/master/docs/schemaregistry_server.md)

### [How to use if with Faust?](../blob/master/docs/faust.md)

